Bug 159846 - Incorrect folder sizes for (near-)empty folders
Summary: Incorrect folder sizes for (near-)empty folders
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: maildir (show other bugs)
Version: 1.9.9
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2008-03-25 19:36 UTC by Martin
Modified: 2012-07-16 13:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2008-03-25 19:36:41 UTC
Version:           1.9.9 (using 3.5.9, compiled sources)
Compiler:          Target: i586-mandriva-linux-gnu
OS:                Linux (i686) release 2.6.18.8.tex5

no mail in inbox & trash but 20KB size.

Conversely, outbox has 0 emails and 0KB.

Drafts has 1 email and 12.5KB.

A custom made mailbox has email and 16.0KB

ie.  less than the 20KB so its NOT a default on an empty mailbox.
Comment 1 Thomas McGuire 2008-04-03 20:50:49 UTC
The size calculation takes subdirectoy entries into account. Each subdirectory entry adds 4kb (on my system), and there might be index files as well.
By default, maildirs have 3 subdirectories, cur, new and tmp.
Comment 2 Michael Leupold 2009-04-04 18:07:30 UTC
I'm unsure about this bug. Does that mean the reported size is expected behaviour? This might make this bug a wish.
Comment 3 Martin 2009-04-04 19:14:11 UTC
That's over a year old.

If your all OK with empty folders reporting their folder size instead of the size of the emails in them - then close it.

I had never noticed this before and saw it as probable coding change.

People would see this size, expect to see an email their, then wonder if there was an email that they couldn't see.  It would sow doubt in peoples minds.
Comment 4 Björn Ruberg 2010-01-16 23:06:31 UTC
The problem still exists in KDE 4.3
Comment 5 Laurent Montel 2012-07-16 13:59:35 UTC
Fixed in kmail >= 4.7